| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
RTP Parameters and Statistics Counters

RTP Parameters and Statistics Counters Definitions and Methods. More...

## Classes
struct | unsp__ConfigParameter
| Configuration Parameter Data. More...
struct | unsp__ConfigData
| Configuration Parameters List. More...
struct | unsp__GetConfigParmDataRequest
| Get Configuration Parameter Data request. More...
struct | unsp__GetConfigParmDataResult
| Get Configuration Parameter Data result. More...
struct | unsp__SetConfigParmDataRequest
| Set Configuration Parameter Data request. More...
struct | unsp__ConfigParmDataResultEntry
| Result Information per Configuration Parameter. More...
struct | unsp__ConfigParmDataResultList
| List of results per Configuration Parameter. More...
struct | unsp__SetConfigParmDataResult
| Set Configuration Parameter Data result. More...
struct | unsp__GetCounterInfoRequest
| Get RTP Statistics Counter Information request. More...
struct | unsp__CounterInfo
| RTP Statistics Counter Information. More...
struct | unsp__GetCounterInfoResult
| Get RTP Statistics Counter Information result. More...
struct | unsp__GetCounterListRequest
| Get RTP Statistics Counter List request. More...
struct | unsp__GetCounterListData
| RTP Statistics Counter List. More...
struct | unsp__GetCounterListResult
| Get RTP Statistics Counter List result. More...

## Enumerations
enum | unsp__ConfigParmType { UndefinedParmType = -1, Integer, String, Boolean, IpAddress, Binary, EncryptedBinary }
| Specifies the types of Configuration Parameters. More...
enum | unsp__ConfigParmAccess { UndefinedParmAccess = -1, ReadOnly, ReadWrite }
| Specifies the access of Configuration Parameters. More...
enum | unsp__ParmMismatchFilter { FetchAll, FetchMismatched, FetchNonMismatched }
| Filter Type for Configuration Parameters. More...

## Functions
int | unsp__GetConfigParmData (struct unsp__GetConfigParmDataRequest GetConfigParmDataRequest, struct unsp__GetConfigParmDataResult *GetConfigParmDataResult)
| Returns a list of all OpenScape Voice (RTP) configuration parameters relevant to subscriber provisioning and their current values. More...
int | unsp__SetConfigParmData (struct unsp__SetConfigParmDataRequest SetConfigParmDataRequest, struct unsp__SetConfigParmDataResult *SetConfigParmDataResult)
| This method sets the value of an RTP Parameter or list of RTP Parameters, that can be provisioned by Openscape Voice SOAP Server. More...
int | unsp__GetStatCounterInfo (struct unsp__GetCounterInfoRequest GetCounterInfoRequest, struct unsp__GetCounterInfoResult *GetCounterInfoResult)
| This method is used to retrieve and display a single RTP Statistics Counter, including its value and status. More...
int | unsp__GetStatCounterList (struct unsp__GetCounterListRequest GetCounterListRequest, struct unsp__GetCounterListResult *GetCounterListResult)
| This method is used to retrieve and display the list of all RTP Statistics Counters. More...

## Detailed Description

RTP Parameters and Statistics Counters Definitions and Methods.

The RTP (Resilient Telco Platform) Management feature allows the convenient configuration of provisionable OpenScape Voice RTP parameters. Typically, RTP parameters are set during initial switch configuration to enforce global policies and ensure proper feature networking.

## Enumeration Type Documentation

## ◆ unsp__ConfigParmAccess

enum unsp__ConfigParmAccess

Specifies the access of Configuration Parameters.

Enumerator
UndefinedParmAccess | Undefined.
ReadOnly | Read-Only.
ReadWrite | Read-Write.

## ◆ unsp__ConfigParmType

enum unsp__ConfigParmType

Specifies the types of Configuration Parameters.

Enumerator
UndefinedParmType | Undefined.
Integer | Integer.
String | String.
Boolean | Boolean.
IpAddress | IP Address.
Binary | Binary.
EncryptedBinary | Encrypted Binary.

## ◆ unsp__ParmMismatchFilter

enum unsp__ParmMismatchFilter

Filter Type for Configuration Parameters.

Enumerator
FetchAll | All.
FetchMismatched | Retrieve all matching partially the provided filter string.
FetchNonMismatched | Retrieve all matching exactly the provided filter string.

## Function Documentation

## ◆ unsp__GetConfigParmData()

unsp__GetConfigParmData | ( | struct unsp__GetConfigParmDataRequest | GetConfigParmDataRequest,
|  | struct unsp__GetConfigParmDataResult * | GetConfigParmDataResult
| ) |  |

Returns a list of all OpenScape Voice (RTP) configuration parameters relevant to subscriber provisioning and their current values.

Parameters

  GetConfigParmDataRequest | API request
  GetConfigParmDataResult | API result

## ◆ unsp__GetStatCounterInfo()

unsp__GetStatCounterInfo | ( | struct unsp__GetCounterInfoRequest | GetCounterInfoRequest,
|  | struct unsp__GetCounterInfoResult * | GetCounterInfoResult
| ) |  |

This method is used to retrieve and display a single RTP Statistics Counter, including its value and status.

Parameters

  GetCounterInfoRequest | API request
  GetCounterInfoResult | API result

## ◆ unsp__GetStatCounterList()

unsp__GetStatCounterList | ( | struct unsp__GetCounterListRequest | GetCounterListRequest,
|  | struct unsp__GetCounterListResult * | GetCounterListResult
| ) |  |

This method is used to retrieve and display the list of all RTP Statistics Counters.

The result data contains a list of RTP Statistics Counter names. For detailed information about one of the RTP Statistics Counters in the list, the GetStatCounterInfo operation can be used.

Parameters

  GetCounterListRequest | API request
  GetCounterListResult | API result

## ◆ unsp__SetConfigParmData()

unsp__SetConfigParmData | ( | struct unsp__SetConfigParmDataRequest | SetConfigParmDataRequest,
|  | struct unsp__SetConfigParmDataResult * | SetConfigParmDataResult
| ) |  |

This method sets the value of an RTP Parameter or list of RTP Parameters, that can be provisioned by Openscape Voice SOAP Server.

Parameters

  SetConfigParmDataRequest | API request
  SetConfigParmDataResult | API result MP2 command: RTPSET [Attributes]